رموز الإم بي قار (QR)
GET https://qrcloud.online/api/ai-qr-codes/
curl --request GET \
--url 'https://qrcloud.online/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| search | اختياري سلسلة | سلسلة البحث. |
| search_by | اختياري سلسلة | في أي مجال تبحث؟ القيم المسموح بها هي: name. |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | تصفية النتائج ابتداءً من هذا التاريخ. الصيغة Y-m-d H:i:s. |
| datetime_end | اختياري سلسلة | تصفية النتائج حتى هذا التاريخ. تنسيق Y-m-d H:i:s. |
| order_by | اختياري سلسلة | أي حقل لترتيب النتائج حسبه. القيم المسموح بها هي: ai_qr_code_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي ترغب في الحصول على النتائج منها. القيمة الافتراضية هي 1. |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي تريد لكل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcloud.online/uploads/ai_qr_codes/example.png",
"content": "https://qrcloud.online/",
"prompt": "مناظر طبيعية عند غروب الشمس، شلال، حيوانات برية وأشعة الشمس"
"embedded_data": "https://qrcloud.online/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-04-29 18:39:33",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/ai-qr-codes?page=1",
"last": "https://qrcloud.online/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/ai-qr-codes?page=1"
}
}
GET https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcloud.online/uploads/ai_qr_codes/example.png",
"content": "https://qrcloud.online/",
"prompt": "مناظر طبيعية عند غروب الشمس، شلال، حيوانات برية وأشعة الشمس"
"embedded_data": "https://qrcloud.online/",
"last_datetime": null,
"datetime": "2026-04-29 18:39:33",
}
}
POST https://qrcloud.online/api/ai-qr-codes
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| link_id | اختياري عدد صحيح | - |
| project_id | اختياري عدد صحيح | - |
| name | مطلوب سلسلة | - |
| content | مطلوب سلسلة | - |
| prompt | مطلوب سلسلة | - |
| المعلمات | تفاصيل | الوصف |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=مناظر طبيعية عند غروب الشمس، شلال، حيوانات برية وأشعة الشمس' \
--form 'content=https://qrcloud.online/' \
--url 'https://qrcloud.online/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=مناظر طبيعية عند غروب الشمس، شلال، حيوانات برية وأشعة الشمس' \
--form 'content=https://qrcloud.online/' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| link_id | اختياري عدد صحيح | - |
| project_id | اختياري سلسلة | - |
| name | اختياري سلسلة | - |
| content | اختياري سلسلة | - |
| prompt | اختياري سلسلة | - |
curl --request POST \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \